/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.ui.internal.HoverPopup");

dojo.require("dijit._Widget");

(function() {

/*
 * DEPRECATED: Use jazz.ui.HoverPopup instead.
 * 
 * The HoverPopup is a modified version of dijit.Tooltip. The difference is that the HoverPopup will
 * stay open as long as the cursor is over either the connected node, or the tooltip itself (rather than just the
 * connected node). This allows more sophisticated interaction in the tooltip than static information. Users can
 * follow links in the tooltip, etc.
 * 
 * One important limitation to note is that the innerHTML of the provided domNode is used to populate the tooltip.
 * This is because, behind the scenes, there is actually one master tooltip that is reused for each individal tooltip.
 * When it is displayed, the required HTML is copied out of the desired tooltip. Also note that because the innerHTML
 * is used, css classes or properties applied to the root node will be lost. To workaround this, add a child node to the
 * root that has the required attributes and put your content in it.
 * 
 * HoverPopups should be created as follows: new HoverPopup(args, domNode);
 * 	- the domNode param gives a reference to the domNode who's innerHTML should be used to populate the tooltip. In
 * 		the case of lazily populated tooltips it can be empty initially and populated when the callback is triggered.
 * 	- the args param should be an object that contains any or all of the following attributes:
 * 		- connectId: This is an array of domNode ids that this tooltip should be connected to. Hovering the referenced nodes
 * 			will show the tooltip around them. This attribute or the connectNode attribute must be given (or your tooltip
 * 			will not be attached to anything), but both may be used together. NOTE: if connectId is used, the referenced
 * 			node must be in the document hierarchy before the tooltip is instantiated.
 * 		- connectNode: This is an array of references to domNodes that this tooltip should be connected to. Hovering the
 * 			referenced will show the tooltip around them. This attribute or the connectId attribute must be given (or your
 * 			tooltip will not be attached to anything), but both may be used together.
 * 		- isImagePreview: set this parameter to true to style the tooltip as an image preview (blue borders and backgrounds).
 * 		- isProgrammatic: indicates that the tooltip will always be programatically controlled by the client. That is
 * 			to say that it will never be opened or closed by hovering (connectNodes need not be supplied). Clients should
 * 			call HoverPopup#open(<target_node>) and HoverPopup#close().
 * 		- callback: This is a function that will be called immediately before the tooltip is displayed. As soon as this
 * 			method returns the tooltip is shown. For this reason, if the tooltip is populated based on the results of an
 * 			asynchronous call, the tooltip must be refreshed (HoverPopup.refresh()) after the html is ready.
 * 		- callbackArg: This is a single object with any number of attributes. It will be passed to the function specified
 * 			in the callback parameter, but will have one additional property added to it called "tooltip" which will be a
 * 			a reference to the tooltip widget that is calling it. This allows the callback function to call, for example,
 * 			args.tooltip.refresh() when it is done any asynchronous calls.
 * 		- repopulateDelay: This gives the number of milliseconds to wait between subsequent displays of the tooltip before
 * 			calling the populate callback again. This allows clients to reuse the cached tooltip content and decide how
 * 			regularly new information should be retreived from the server. A value of -1 indicates that once the tooltip is
 * 			populated, it should never be populated again.
 * 		- preDisplayCheck: This is a function that will be called before showing the tooltip. It should return a boolean
 * 			result which indicates if the tooltip should be displayed or not. This allows the tooltip to be supressed under
 * 			certain circumstances.
 * 		- closeCallback: This is a function that will be called when the tooltip is closed. Clients can use this to perform
 * 			any required cleanup.
 * 		- orientation: This params allows the client to override the tooltip positioning logic and explicitly indicate where
 * 			the tip should be opened. It should be a string that is 1 or 2 characters long. Each character represents a direction.
 * 			'L' means left, 'R' means right, 'T' means top, 'B' means bottom (e.g. "TR" means open the tooltip to the right
 * 			of the node and align the top of the tip with the top of the node, "L" means open the tooltip to the left of the node
 * 			and calculate vertical orientation dynamically). Note that if there isn't room in the specified direction, the hint
 * 			will be ignored.
 * 		- label: This attribute can be used in place of the second constructor argument when the tooltip contains static content.
 * 			If specified, the label attribute will be used as innerHTML to populate the tooltip instead of the contents of the
 * 			specified domNode.
 */

console.warn("net.jazz.ajax.ui.internal.HoverPopup has been discontinued. Port to jazz.ui.HoverPopup (see work item 59371).");
dojo.declare("net.jazz.ajax.ui.internal.HoverPopup", dijit._Widget, {
});

})();