// NLS_CHARSET=UTF-8
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	'stepTitle': "Meziserverová komunikace", 
	'description': "Určete další servery založené na platformě Jazz, se kterými má být zřízena meziserverová komunikace. Zadejte informaci o umístění jiného serveru Jazz Team Server a kódovou frázi, která má být použita jako tajný údaj OAuth. Poté si vyžádejte přístup k tomuto serveru pro vytvoření klíče spotřebitele OAuth a uložte informace do seznamu přátel. Po autorizaci klíče OAuth jiným serverem bude tento server schopen interagovat s jiným serverem Jazz. Poznámka: Při připojování k produktům jako Rational Requirements Composer se ujistěte, že používáte identifikátor URI kořenových služeb serveru, s nímž je navazován kontakt, a ne základního serveru Jazz Foundation Server. Příklady viz sekce Popis.",
	'step1Title': "Požadovat komunikaci typu server-server",
	'step1Description': ". Poté můžete od tohoto serveru vyžádat přechodný klíč spotřebitele a uložit tuto informaci do seznamu přátel svého serveru.",

	'step2Title': "Autorizovat přechodný klíč",
	'step2Description': "Jakmile si vyžádáte dočasný klíč, bude v této sekci zobrazen uložený klíč.",
	
	'requestError': "Došlo k chybě při připojování k ${0}. Ověřte platnost adresy URL a zjistěte, zda je server v chodu.",
	
	'keyNeedsAuthorization': "Dočasný klíč, který jste si vyžádali, musí autorizovat administrátor na druhém serveru: <strong>${0}<\/stong>",
	'authorizationLink': "Jste-li administrátorem serveru \"${0}\", můžete ${1}Udělit přístup pro přechodný klíč${2}.",
	'keyAuthorized': "Přechodný klíč je autorizován a uložen v seznamu přátel. Server bude nyní schopen komunikovat s ${0}.", 
	
	'registerButtonText': "Požadovat přístup", 
	'propertyLabel': "Vlastnost",
	'valueLabel': "Hodnota",
	'descriptionLabel': "Popis",
	
	'titleLabel': "Titulek", 
	'titleDescrption': "Zadejte titulek pro identifikaci této položky v seznamu přátel",
	'rootServicesLabel': "Identifikátor URI kořenových služeb", 
	'rootServicesDescrption': "Identifikátor URI kořenových služeb na serveru, kterého chcete přidat jako přítele (např. 'https://rrc-server:9443/rdm/rootservices' nebo 'https://rqm-server:9443/jazz/rootservices')",
	'rootServicesExample': "Formát: https://<hostname><:port-number>/<context>/rootservices ",
	'serverUriLabel': "Identifikátor URI serveru Jazz Team Server", 
	'serverUriDescrption': "Toto je server, který chcete přidat jako přítele pro zřízení meziserverové komunikace (např. 'https://otherJazzServer:9443/jazz/rootservices')",
	'secretLabel': "Utajení OAuth", 
	'secretDescrption': "Zadejte kódovou frázi, která má být přidružena k novému klíči spotřebitele OAuth ze spřáteleného serveru.",
	'secretLabel2': "Znovu zadejte utajení", 
	'secretDescrption2': "Znovu zadejte kódovou frázi a ověřte tak, že nedošlo k překlepu.",
	'secretMismatch': "Utajení si neodpovídají",
	'trustedLabel': "Důvěryhodný", 
	'trustedDescription': "Důvěryhodní spotřebitelé mohou sdílet autorizaci s jinými důvěryhodnými spotřebiteli a uživateli, kteří nebyli vyzváni ke schválení přístupových dat. Je doporučeno, aby externí weby nebo produkty byly zváženi za nedůvěryhodné.",

	'correctFields': "Opravte níže uvedená pole.",
	'completeFields': "Nakonfigurujte komunikaci s jiným serverem Jazz Team Server, nebo pokračujte výběrem tlačítka Další.", 
		
	'postFriendError': "Při ukládání přítele na server došlo k chybě.",
	'fetchFriendsError': "Při vyžádání seznamu přátel z tohoto serveru došlo k chybě.",
	'fetchRootServicesError': "Při vyžádání dokumentu kořenových služeb ze serveru \"${0}\" došlo k chybě.",
	'requestKeyError': "Při vyžádání klíče spotřebitele OAuth ze serveru \"${0}\" došlo k chybě.", 
	'deleteFriendError': "Při odstraňování položky přítele: ${0} došlo k chybě",
	'friendsTableHeading': "Seznam spřátelených serverů", 
	'friendsTableDescription': "Seznam serverů zřízených pro meziserverovou komunikaci.",
	'noFriends': "V seznamu spřátelených serverů nejsou žádné položky.",
	'internalFriendsTableHeading': "Seznam interních přátel", 
	'internalFriendsTableDescription': "Seznam aplikací, které ukládají data na tento server Jazz Team Server a účastní se propojování projektů (například Rational Requirements Composer), serveru, s nímž je navazováno spojení. Používá se to ke zjišťování příslušných zdrojů odkazu projektu na základě typů odkazů podporovaných aplikací. Interní přátelé jsou zaváděni při nastavování a neměli by být odebíráni.",
	'oAuthDomainLabel': "Doména OAuth",
	'oAuthConsumerKeyLabel': "Klíč spotřebitele OAuth", 
	'removeFriendButton': "Odstranit přítele",
	'confirmDelete': "Opravdu chcete odstranit tuto položku přítele?", 
	'requestingAccess': "Vyžádání přístupu...",
	
	// edit friend wizard 
	'editFriendHeading': "Titulek přítele: ${0}",
	'editFriendDialogTitle': "Upravit vlastnosti přítele",
	'confirmEditCancel': "Opravdu chcete opustit tento editor? Všechny změny budou ztraceny. Klepnutím na tlačítko Storno můžete pokračovat nebo klepnutím na tlačítko OK editor opusťte.",
	
	'internalLabel': "Interní", 
	'internalNo': "Veřejný"
})	







